<template>
  <div>
    <back></back>
    <h1 class="i3-page-title">Starting Points</h1>
    <li @click="pushPage('starting-point-category', {}, 'Starting Point')">Starting Point Category</li>
  </div>
</template>

<script>
// import _ from 'lodash'

import { mapActions, mapGetters } from 'vuex'
import Back from '@/components/Editable/Utils/Back'

export default {
  components: {
    Back
  },

  data () {
    return {
    }
  },

  computed: {
    ...mapGetters({
      backPageTitle: 'Y3TI/backPageTitle'
    })
  },

  methods: {
    ...mapActions({
      pushSidebarPage: 'Y3TI/pushSidebarPage',
      backSidebarPage: 'Y3TI/backSidebarPage'
    }),

    pushPage (component, props, title) {
      return this.pushSidebarPage({ data: { page: { component, props, title } } })
    },

    backPage () {
      return this.backSidebarPage()
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
